Bug 1575750 - Clarify NVIDIA GPU assignment - Only PCIe GPUs
Summary: Clarify NVIDIA GPU assignment - Only PCIe GPUs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Virtualization_Deployment_and_Administration_Guide
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jiri Herrmann
QA Contact: haoliu@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 19:31 UTC by Alex Williamson
Modified: 2019-03-06 01:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 12:25:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alex Williamson 2018-05-07 19:31:24 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/virtualization_deployment_and_administration_guide/sect-device-gpu#sect-device-GPU-asignment

Section Number and Name: 
17.7.1. GPU PCI Device Assignment

Describe the issue:
NVIDIA now produces Tesla cards that make use of a proprietary hardware interconnect known as NVLink.  We do not currently support assignment of NVLink based GPUs therefore let's make the documentation more clear that we're identifying a set of PCI Express devices as supported.

Suggestions for improvement: 
The section currently states:

"Red Hat Enterprise Linux 7 supports PCI device assignment of the following GPU devices as non-VGA graphics devices:"

I would suggest:

"Red Hat Enterprise Linux 7 supports PCI device assignment of the following PCIe-based GPU devices as non-VGA graphics devices:"

Additional information: 

"PCIe" and "PCI-e" are official abbreviations of "PCI Express" per wikipedia, mix and match as you see fit.  We use "PCI device assignment" correctly here because the overall technology is not limited to PCIe, but our support for this class of device is limited to PCIe.

Comment 2 Alex Williamson 2018-05-07 19:49:23 UTC
Similar statement in RHEV docs noted in bug 1575755


Note You need to log in before you can comment on or make changes to this bug.